summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorMatthew Gamble2019-11-17 12:49:56 +1100
committerMatthew Gamble2019-11-17 12:51:07 +1100
commitf6d0c9e632dc4daa953263c673d4598863b01212 (patch)
treec2ad76f7c3f8d0c2c9e3875fc33f4a78a3bbd3c3 /PKGBUILD
parent4e5a4c88d9f1ef9d784dc466f2d971e959216e8b (diff)
downloadaur-mp3fs-git.tar.gz
Big update
- Bump version number to take advantage of four years' worth of patches. Oops. - Upstream no longer has a dependency on the libb64 library (which wasn't packaged for arch at the time), so we can now safely include the vorbis picture support. - Code style cleanup. - Add gitignore file.
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD25
1 files changed, 12 insertions, 13 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 38334dcc91c..ed9b69054dc 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,28 +2,27 @@
# Contributor : Draje <draje@nullsum.net>
pkgname=mp3fs-git
-pkgver=20150913
+pkgver=20191117
pkgrel=1
pkgdesc="A read-only FUSE filesystem which transcodes audio formats (currently FLAC) to MP3 on the fly when opened and read."
-arch=('i686' 'x86_64')
+arch=("x86_64")
url="http://khenriks.github.com/mp3fs/"
-license=('GPL')
-depends=('fuse' 'flac' 'lame' 'libid3tag')
-makedepends=('git' 'asciidoc')
-conflicts=('mp3fs')
+license=("GPL")
+depends=("fuse" "flac" "lame" "libid3tag")
+makedepends=("git" "asciidoc")
+conflicts=("mp3fs")
source=('git://github.com/khenriks/mp3fs.git')
sha256sums=('SKIP')
build() {
- cd "$srcdir/mp3fs"
+ cd "$srcdir/mp3fs"
- ./autogen.sh
- ./configure --prefix=/usr \
- --without-vorbis-picture # There is no package for libb64 in Arch Linux as of today
- make || return 1
+ ./autogen.sh
+ ./configure --prefix=/usr
+ make || return 1
}
package() {
- cd "$srcdir/mp3fs"
- make PREFIX=/usr sysconfdir=/etc localstatedir=/var DESTDIR="$pkgdir" install
+ cd "$srcdir/mp3fs"
+ make PREFIX=/usr sysconfdir=/etc localstatedir=/var DESTDIR="$pkgdir" install
}